VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Namespaces | Functions | Variables
VSTGUI::BitmapFilter::Standard Namespace Reference

Standard Bitmap Filter Names. More...

## Namespaces
namespace | Property
| Standard Bitmap Property Names.

## Functions
static void | registerStandardFilters (Factory &factory)

## Variables
static const IdStringPtr | kBoxBlur = "Box Blur"
| Box Blur Filter Name. More...
static const IdStringPtr | kGrayscale = "Grayscale"
| Grayscale Filter Name. More...
static const IdStringPtr | kReplaceColor = "Replace Color"
| Replace Color Filter Name. More...
static const IdStringPtr | kSetColor = "Set Color"
| Set Color Filter Name. More...
static const IdStringPtr | kScaleBilinear = "Scale Biliniear"
| Scale Bilinear Filter Name. More...
static const IdStringPtr | kScaleLinear = "Scale Linear"
| Scale Linear Filter Name. More...

## Detailed Description

Standard Bitmap Filter Names.

## Function Documentation

## ◆ registerStandardFilters()

static void VSTGUI::BitmapFilter::Standard::registerStandardFilters | ( | Factory & | factory | ) |
| static

## Variable Documentation

## ◆ kBoxBlur

const IdStringPtr kBoxBlur = "Box Blur"
| static

Box Blur Filter Name.

Applies a box blur on the input bitmap.

Properties:

- Property::kInputBitmap
- Property::kRadius
- Property::kOutputBitmap

## ◆ kGrayscale

const IdStringPtr kGrayscale = "Grayscale"
| static

Grayscale Filter Name.

Produces a grayscale version of the input bitmap.

Properties:

- Property::kInputBitmap
- Property::kOutputBitmap
- Property::kAlphaChannelOnly

## ◆ kReplaceColor

const IdStringPtr kReplaceColor = "Replace Color"
| static

Replace Color Filter Name.

Replaces the colors which match the input color to the output color.

Properties:

- Property::kInputBitmap
- Property::kInputColor
- Property::kOutputColor
- Property::kOutputBitmap

## ◆ kScaleBilinear

const IdStringPtr kScaleBilinear = "Scale Biliniear"
| static

Scale Bilinear Filter Name.

Creates a bilinear scaled bitmap of the input bitmap. Does not work inplace.

Properties:

- Property::kInputBitmap
- Property::kOutputRect
- Property::kOutputBitmap

## ◆ kScaleLinear

const IdStringPtr kScaleLinear = "Scale Linear"
| static

Scale Linear Filter Name.

Creates a linear scaled bitmap of the input bitmap. Does not work inplace.

Properties:

- Property::kInputBitmap
- Property::kOutputRect
- Property::kOutputBitmap

## ◆ kSetColor

const IdStringPtr kSetColor = "Set Color"
| static

Set Color Filter Name.

Sets all colors of the input bitmap the color of the input color. If Property::kIgnoreAlphaColorValue is set, the alpha value of the input bitmap is not changed.

Properties:

- Property::kInputBitmap
- Property::kInputColor
- Property::kIgnoreAlphaColorValue
- Property::kOutputBitmap